package Scorch.Items;

import java.awt.*;

import Scorch.ScorchApplet;

public abstract class ItemControl extends Container
{
    protected ScorchApplet owner;
    protected Item item;
    protected Component control;

    public ItemControl(Item item, ScorchApplet owner)
    {
	super();
	
	this.item = item;
	this.owner = owner;
    }
    
    public void setEnabled(boolean v)
    {
	if( control != null )
	    control.setEnabled(v);
	else
	    System.out.println("Item.setEnabled(): internal error");
    }
}
