package swindows;

/*
  Class:  sGauge
  Author: Mikhail Kruk
  Desciption: gauge
  player
*/

import java.awt.*;
import java.awt.event.*;

import Scorch.*;

public class sGauge extends sPanel
{
    private double percent;
    private int value;

    public sGauge(int value, int max, Container owner)
    {
	super(0,0,-1,-1);

	this.percent = (double)value/max;
	this.value = value;
    }

    public void update(Graphics g)
    {
	super.update(g);

	g.setColor(Color.red);
	g.fillRect(wndBorder+1,wndBorder+1,
		   (int)((width-2*wndBorder)*percent)-2,
		   height-2*wndBorder-2);
	g.setColor(Color.white);
	g.drawString(value+"",
		     (width-2*wndBorder-fm.stringWidth(value+""))/2,
		     (height+fm.getMaxAscent())/2);
    }

    public Dimension getPreferredSize()
    {
	return new Dimension(0,(int)(fontHeight*1.8));
    }
}
